{
    "header": {
        "version": 1,
        "type": "record",
        "approw-key": "LAYOUT_CFG_CTODICT"
    },
    "body": {
        "record1": {
            "<1>": "Control Dictionary Name Processing",
            "<2>": {
                "<2,1>": "This record controls dictionary name resolution and processing behavior",
                "<2,2>": "Set preserve flag (field 1)",
                "<2,3>": "",
                "<2,4>": "--",
                "<2,5>": "Preserve Flag Description",
                "<2,6>": "--",
                "<2,7>": "Preserve flag = \"0\" (or \"\" or invalid) ==> Allow dictionary MFS to modify dictionary name to reflect real ID",
                "<2,8>": "Preserve flag = \"1\"         ==> Do not modify the dictionary name, if incorrect, to reflect actual ID",
                "<2,9>": "",
                "<2,10>": "---",
                "<2,11>": "Notes",
                "<2,12>": "--",
                "<2,13>": "- The config record information is only accessed when the application starts up; changes to this record will not take effect until the user exits and re-enters OI",
                "<2,14>": "- If no CFG_CTODICT records are found OI will behave as if preserve flag = 0",
                "<2,15>": "- When preserve flag is \"0\":",
                "<2,16>": "-- If a passed in dictionary name does not match an existing dictionary ID, but can be converted (via replacement of \".\" to \"_\" for example) to an existing ID, the dictionary name will be modified to be the real ID for subsequent usage",
                "<2,17>": "-- If stored as a variable, the dictionary name may change after accessing the dictionary",
                "<2,18>": "- When preserve flag is \"1\":",
                "<2,19>": "-- Although the MFS will still find the actual ID associated with the passed in dictionary name, it will NOT pass the changed value outside of the MFS",
                "<2,20>": "-- Subsequent access to the dictionary (for example, via indexed fields) may fail as the dictionary name does not match the real dictinary ID "
            },
            "<3>": "Preserve Flag{OPTIONS Preserve passed in Dictionary Name/1|Update passed in Dictionary Name if Needed/0}{DEFAULT 0}"
        }
    }
}